#!/bin/bash

export JAVA_HOME=/root/jdk1.8.0_181
export PATH=$JAVA_HOME/bin:$PATH
export CLASSPATH=.:$JAVA_HOME/lib/dt.jar:$JAVA_HOME/lib/tools.jar


bashPath=/root/maxcompute_job/flow

if [ $# -eq 0 ];then
        echo "---------------------------------------------------------------------------"
        # OS Type
        echo "                    OS Type: $(uname -o)"
        # OS Release Version and Name
        echo "OS Release Version and Name: $(cat /etc/issue | head -n 1)"
        #Architecture
        echo "               Architecture: $(uname -m)"
        #Kernel Release
        echo "             Kernel Release: $(uname -r)"
        #hostname
        echo "                   hostname: $HOSTNAME"
        #Internal IP
        echo "                Internal IP: $(hostname -I)"
        #External IP
        echo "                External IP: $(curl --connect-timeout 10 -m 20 -s ipecho.net/plain)"
        #DNS
        dnsservers=""
        for i in $(cat /etc/resolv.conf | grep '^nameserver' | awk '{print $NF}')
        do
                dnsservers="$dnsservers$i "
        done
        echo "                        DNS: $dnsservers"
        #if connected to Internet or not
        echo "            internet status: $( ping -c 2 www.baidu.com &> /dev/null && echo 'connected' || echo 'disconnected')"
        echo "---------------------------------------------------------------------------"
fi

# shellcheck disable=SC2164
cd $bashPath/repo

git pull origin master # 拉取仓库

cd ..

java -jar $bashPath/DataWorks-flow-touch.jar -q

if [ $? -eq 0 ]; then
     echo "company is not empty!"
else
     echo "company is empty!"
     exit $?
fi

java -jar $bashPath/DataWorks-flow-touch.jar -f $bashPath/jobs/task-step01.yaml

if [ $? -eq 0 ]; then
     echo "step01 succeed"
else
     echo "step01 failed"
     exit $?
fi

java -jar $bashPath/DataWorks-flow-touch.jar -f $bashPath/jobs/task-step02.yaml

if [ $? -eq 0 ]; then
     echo "step02 succeed"
else
     echo "step02 failed"
     exit $?
fi

java -jar $bashPath/DataWorks-flow-touch.jar -f $bashPath/jobs/task-step03.yaml

if [ $? -eq 0 ]; then
     echo "step03 succeed"
else
     echo "step03 failed"
     exit $?
fi

java -jar $bashPath/DataWorks-flow-touch.jar -f $bashPath/jobs/task-step04.yaml

if [ $? -eq 0 ]; then
     echo "step04 succeed"
else
     echo "step04 failed"
     exit $?
fi

echo "end"


